-- 基础信息
base_info = {
	group_id = 247009029
}

-- DEFS_MISCS
local GroupId = 247009029
local point_id_list = {}
local MainGroupID = 247009001
local RegionID = 29001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 29001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.007, y = 0.050, z = 319.985 } }
}

-- 触发器
triggers = {
	{ config_id = 1029001, name = "ENTER_REGION_29001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 29002, pos = { x = -3.941, y = 0.107, z = 332.332 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 29003, pos = { x = 4.143, y = 0.105, z = 332.278 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 29004, pos = { x = 0.038, y = 0.101, z = 333.223 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 29005, pos = { x = -7.118, y = 0.121, z = 331.117 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 16 },
	{ config_id = 29006, pos = { x = 7.102, y = 0.115, z = 330.676 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 16 },
	{ config_id = 29007, pos = { x = -8.338, y = 0.105, z = 328.395 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 16 },
	{ config_id = 29008, pos = { x = 8.770, y = 0.110, z = 328.411 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 16 },
	{ config_id = 29009, pos = { x = -8.589, y = 0.100, z = 324.689 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 16 },
	{ config_id = 29010, pos = { x = 8.871, y = 0.108, z = 324.705 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 16 },
	{ config_id = 29011, pos = { x = 0.073, y = 0.115, z = 331.894 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 },
	{ config_id = 29012, pos = { x = -5.713, y = 0.126, z = 330.962 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 32 },
	{ config_id = 29013, pos = { x = 5.764, y = 0.100, z = 330.928 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 32 },
	{ config_id = 29014, pos = { x = -8.656, y = 0.108, z = 326.283 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 32 },
	{ config_id = 29015, pos = { x = 8.894, y = 0.106, z = 326.288 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 32 },
	{ config_id = 29016, pos = { x = -8.642, y = 0.102, z = 321.398 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 32 },
	{ config_id = 29017, pos = { x = 8.800, y = 0.101, z = 321.453 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 32 },
	{ config_id = 29018, pos = { x = -5.664, y = 0.100, z = 316.731 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 32 },
	{ config_id = 29019, pos = { x = 5.694, y = 0.100, z = 316.646 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 32 },
	{ config_id = 29020, pos = { x = -0.025, y = 0.100, z = 315.851 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 32 },
	{ config_id = 29021, pos = { x = -7.141, y = 0.142, z = 328.701 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 64 },
	{ config_id = 29022, pos = { x = 7.139, y = 0.117, z = 328.704 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 64 },
	{ config_id = 29023, pos = { x = -7.139, y = 0.100, z = 314.350 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 64 },
	{ config_id = 29024, pos = { x = 7.062, y = 0.100, z = 314.428 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 64 },
	{ config_id = 29025, pos = { x = 0.164, y = 0.117, z = 328.950 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 64 },
	{ config_id = 29026, pos = { x = -0.034, y = 0.100, z = 314.193 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 64 },
	{ config_id = 29027, pos = { x = -8.116, y = 0.101, z = 321.523 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 64 },
	{ config_id = 29028, pos = { x = 8.260, y = 0.104, z = 321.488 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 64 },
	{ config_id = 29029, pos = { x = -8.011, y = 0.102, z = 317.459 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 64 },
	{ config_id = 29030, pos = { x = 7.957, y = 0.109, z = 324.898 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 64 },
	{ config_id = 29031, pos = { x = 3.396, y = 0.100, z = 312.341 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 64 },
	{ config_id = 29032, pos = { x = -3.856, y = 0.126, z = 327.263 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 64 },
	{ config_id = 29033, pos = { x = -2.429, y = 0.050, z = 324.847 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29034, pos = { x = -0.777, y = 0.050, z = 324.847 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29035, pos = { x = 1.032, y = 0.050, z = 324.847 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29036, pos = { x = 2.684, y = 0.050, z = 324.847 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29037, pos = { x = -4.145, y = 0.050, z = 321.881 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29038, pos = { x = -2.496, y = 0.050, z = 321.881 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29039, pos = { x = -0.688, y = 0.050, z = 321.881 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29040, pos = { x = 0.964, y = 0.050, z = 321.880 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29041, pos = { x = 2.621, y = 0.050, z = 322.085 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29042, pos = { x = 4.273, y = 0.050, z = 322.084 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 128 },
	{ config_id = 29044, pos = { x = 0.039, y = 0.050, z = 326.114 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 256 }
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 29001 },
		triggers = { "ENTER_REGION_29001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
